%global pkgname openvswitch
%global pypi_name ovs

Summary:	Open vSwitch library
Name:		python-%{pypi_name}
Version:	2.16.0
Release:	2%{?dist}
License:	Apache-2.0
URL:		http://www.openvswitch.org/
Source0:	%{pypi_source}

BuildArch:	noarch


%description
Open vSwitch is a production quality, multilayer virtual switch licensed under the open source 
Apache 2.0 license. 

%package -n python3-%{pkgname}
Summary:	Open vSwitch library
BuildRequires:	python3-devel python3-setuptools python3-pbr python3-wheel
Provides:	python-%{pkgname}

%description -n python3-%{pkgname}
Open vSwitch is a production quality, multilayer virtual switch licensed under the open source 
Apache 2.0 license. 


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}

%files -n python3-%{pkgname}
%{_docdir}/*
%dir %{python3_sitearch}/*
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/*.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 Wang Guodong <gordonwwang@tencent.com> - 2.16.0-1
- initial build
